Skip to main content
GET
/
v1
/
indices
/
list
Get Index List
curl --request GET \
  --url https://api.aries.com/v1/indices/list \
  --header 'Authorization: Bearer <token>'
{
  "indices": [
    {
      "indexName": "S&P 500",
      "symbol": "SPX",
      "indexGroup": "IND_CBOM",
      "currency": "USD"
    },
    {
      "indexName": "NASDAQ Composite",
      "symbol": "COMP",
      "indexGroup": "IND_CBOM",
      "currency": "USD"
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

indexGroup
string
required

Index group whose members you want to list (paginated). Use GET /v1/indices/groups to discover the live list of groups — see IndexGroup for the current published set with plain-English labels. Identifier of an index data group. Each group is a publisher / index family. Use GET /v1/indices/groups at runtime to get the live list — the list below is the current published set:

  • IND_CBOC — CBOE Data Services CMSI – Crypto Feed
  • IND_CBOCGI — CBOE Global Indices
  • IND_CBOF — CBOE Data Services CMSI – FTSE
  • IND_CBOI — CBOE Data Services CMSI – iNAV
  • IND_CBOM — CBOE Data Services CSMI (S&P 500, NASDAQ Composite, etc.)
  • IND_CBOMSTAR — CBOE Data Services CSMI – Morningstar
  • IND_DJI — Dow Jones Indices
  • IND_GIDS — Nasdaq Global Index Data Service
  • IND_GIF — NYSE Global Indices
  • IND_SPF — S&P Complete Indices
  • INDBVMF — B3 / Brazil (Bm_Fbovespa)
  • INDXNSE — National Stock Exchange of India
  • INDXSTU — Borse Stuttgart
  • INDXTSE — Toronto Stock Exchange
Example:

"IND_CBOM"

pageSize
integer

Number of results per page. Use this to control pagination size in list views. (default: 100, max: 1000)

Required range: 1 <= x <= 1000
Example:

100

nextPage
string

Pagination token for the next page. Omit it on the first request, then send the returned token to continue paging.

Response

Successful response with list of indices

indices
object[]

Array of indices in the specified index group